package logbackCfg;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class NewDayThread {
	private final static Logger logger = LoggerFactory.getLogger(NewDayThread.class);

	public static void main(String[] args) throws InterruptedException {
		
		while(true) {
			Date currentTime = new Date();
			
			if(currentTime.compareTo(fixedDate())>0) {
				Thread.sleep(8000);
				logger.info("万里赴戎机，关山度若飞。");
				logger.error("朔气传金柝，寒光照铁衣。");
				logger.debug("将军百战死，壮士十年归。");
			}
		}
	}
	
	private static Date fixedDate() {
		SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
		try {
			return formatter.parse("2020-01-17 13:10:00");
		} catch (ParseException e) {
			return new Date();
		}
	}
}
